package com.hotent.uc.params.user;

import java.io.Serializable;
/**
 * 用户集成第三方通讯录的基本信息
 * @author pangquan
 *
 */
public class UserUniteVo implements Serializable{

	private static final long serialVersionUID = 1L;
	/**
	 * 本系统用户id
	 */
	private String userId;
	
	/**
	 * 本系统用户账号
	 */
	private String account;
	/**
	 * 手机号
	 */
	private String mobile;
	/**
	 * 姓名
	 */
	private String fullname;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 性别
	 */
	private String sex;
	/**
	 * 公众号openid
	 */
	private String openId;
	/**
	 * 企业微信userid
	 */
    private String wxWorkId="";
    /**
     * 阿里钉钉userid
     */
    private String dingtalkId;
	
    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getFullname() {
		return fullname;
	}

	public void setFullname(String fullname) {
		this.fullname = fullname;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getWxWorkId() {
		return wxWorkId;
	}

	public void setWxWorkId(String wxWorkId) {
		this.wxWorkId = wxWorkId;
	}

	public String getDingtalkId() {
		return dingtalkId;
	}

	public void setDingtalkId(String dingtalkId) {
		this.dingtalkId = dingtalkId;
	}

}
